[pytest]
filterwarnings =
    error
    ignore::DeprecationWarning

markers =
    unimplemented: marks tests as not implemented (deselect with '-m "not unimplemented"')
    slow: marks tests as slow (deselect with '-m "not slow"')
    internet: mark test that requires an internet connection (deselect with '-m "not internet"')
    WIP: marks tests that are still work in progress
    requires_admin: mark tests that require admin privileges and respective user input
    local: Should not be run in Gitlab CI/CD pipeline
    pipeline: Is required when running tests in Gitlab CI/CD pipeline
    real_unsafe: marks functions that require proper device configuration/setup for testing in order not to damage the device (e.g. cooling)

# adds parameters for execution (terminal, pycharm) automatically if 'pytest' is executed
addopts =
    -p no:threadexception
    -p no:unraisableexception
    -m "not unimplemented and not WIP and not real_unsafe"

log_cli = true
log_cli_level = INFO
log_cli_format = "%(asctime)s [%(levelname)8s] %(message)s (%(filename)s:%lineno)s)"
log_cli_date_format = "%Y-%m-%d %H:%M:%S"
